%define name SDL_image
%define version 1.2.0
%define release 2mdk
%define lib_name_orig libSDL_image
%define lib_major 1.2
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Simple DirectMedia Layer - image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
BuildRequires: alsa-lib-devel XFree86-devel esound-devel libjpeg-devel libpng-devel libtiff-devel libSDL-devel >= 1.2 libjpeg-devel libpng-devel libtiff-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.devolution.com/~slouken/SDL/projects/SDL_image/
Prefix: %{_prefix}

%description
This is a simple library to load images of various formats as SDL surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdlshow' to test the library.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{lib_name}-test
Summary: Test binary for %{name}
Group: System/Libraries

%description -n %{lib_name}-test
This package contains binary to test the associated library.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
%configure --enable-bmp --enable-gif --enable-jpg --enable-pcx --enable-png --enable-ppm --enable-tif --enable-xpm
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv $RPM_BUILD_ROOT/%{_bindir}/showimage $RPM_BUILD_ROOT/%{_bindir}/sdlshow

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}-test
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/sdlshow

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/

%changelog
* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-2mdk
- BuildRequires:	alsa-lib-devel
- Copyright --> License
- Removed BuildRequires:	audiofile-devel zlib-devel

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0
- dadouize buildroot

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-4mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- 1.1.0
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-2mdk
- new lib policy

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10
- macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-2mdk
- automatically added BuildRequires

* Fri Jul 14 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.9-1mdk
- updated version.
- added BuildPreReq.

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- v1.0.6

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.0.4
- used the specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
- renamed usr/bin/show to sdlshow because of conflict with mh


